org.apache.sysds.lops

## Enum MapMultChain.ChainType

- java.lang.Object
- - java.lang.Enum<MapMultChain.ChainType>
  - - org.apache.sysds.lops.MapMultChain.ChainType

- All Implemented Interfaces:
    Serializable, Comparable<MapMultChain.ChainType>
  Enclosing class:
    MapMultChain

      public static enum MapMultChain.ChainType
      extends Enum<MapMultChain.ChainType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE`
    `XtwXv`
    `XtXv`
    `XtXvy`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isWeighted()`
    `static MapMultChain.ChainType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MapMultChain.ChainType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### XtXv

          public static final MapMultChain.ChainType XtXv

    - #### XtwXv

          public static final MapMultChain.ChainType XtwXv

    - #### XtXvy

          public static final MapMultChain.ChainType XtXvy

    - #### NONE

          public static final MapMultChain.ChainType NONE

  - ### Method Detail

    - #### values

          public static MapMultChain.ChainType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MapMultChain.ChainType c : MapMultChain.ChainType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MapMultChain.ChainType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isWeighted

          public boolean isWeighted()

Copyright © 2020 The Apache Software Foundation. All rights reserved.